// Filename: TubbyPlanets.sc
// JackDole 2019.04.26 17:13:36

//------------------------------------------------------------------------------

Star	"Tubby Sun"
{
    ParentBody     "Tubby System"
    Class	       "M3 V"
    Luminosity      0.00448745
    MassSol         0.277158
    RadSol          0.00829741
    Teff            3470

    Age             12.4842

    InertiaMoment   0.0925419

    RotationPeriod  198.374
    Obliquity       229.9
    EqAscendNode    166.428

    AlbedoBond      0.3
    AlbedoGeom      0.36
    Brightness      2
    Color          (1.000 0.544 0.247)

    StaticPosPolar  (0 0 0)
}

Planet	"Tubby Toast"
{
    ParentBody     "Tubby Sun"
    Class	       "Desert"

    Mass            0.0661119
    Radius          2652.05
    InertiaMoment   0.335294

    Obliquity       -1.35828
    EqAscendNode    -15.9388
    TidalLocked     true

    AlbedoBond      0.2
    AlbedoGeom      0.24
    Brightness      2
    Color          (0.909 0.648 0.298)

    Surface
    {
        SurfStyle       0.761735
        OceanStyle      0.0984963
        Randomize      (0.071, 0.983, 0.738)
        colorDistMagn   0.0903059
        colorDistFreq   309.513
        detailScale     6821.22
        colorConversion true
        seaLevel        0.0415009
        snowLevel       2
        tropicLatitude  0.0469383
        icecapLatitude  1
        icecapHeight    0.0415009
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        1.25118
        venusFreq       1.53121
        venusMagn       0
        mareFreq        1.31857
        mareDensity     0.0294279
        terraceProb     0.409864
        erosion         0
        montesMagn      0.142664
        montesFreq      130.103
        montesSpiky     0.968872
        montesFraction  0.0465928
        dunesMagn       0.0227277
        dunesFreq       18.4005
        dunesFraction   0.16058
        hillsMagn       0.106694
        hillsFreq       251.615
        hillsFraction   0
        hills2Fraction  0
        riversMagn      57.4362
        riversFreq      4.72414
        riversSin       7.81787
        riversOctaves   0
        canyonsMagn     0.0331373
        canyonsFreq     64.9037
        canyonFraction  0
        cracksMagn      0.0997897
        cracksFreq      0.20233
        cracksOctaves   0
        craterMagn      0.598544
        craterFreq      7.0027
        craterDensity   0.833328
        craterOctaves   10.5897
        volcanoMagn     0.59212
        volcanoFreq     0.738046
        volcanoDensity  0.282157
        volcanoOctaves  3
        volcanoActivity 0.563375
        volcanoFlows    0.73319
        volcanoRadius   0.447095
        volcanoTemp     1665.41
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        colorSea       (0.640, 0.620, 0.420, 0.000)
        colorShelf     (0.680, 0.620, 0.470, 0.000)
        colorBeach     (0.400, 0.380, 0.270, 0.000)
        colorDesert    (0.800, 0.680, 0.500, 0.000)
        colorLowland   (0.670, 0.600, 0.490, 0.000)
        colorUpland    (0.580, 0.490, 0.350, 0.000)
        colorRock      (0.220, 0.210, 0.210, 0.000)
        colorSnow      (1.000, 1.000, 1.000, 0.769)
        colorLowPlants (0.670, 0.600, 0.490, 0.000)
        colorUpPlants  (0.580, 0.490, 0.350, 0.000)
        BumpHeight      20
        DiffMapAlpha   "Ice"
        SpecBrightWater 0.5
        SpecBrightIce   0.5
        SpecularPower   30
        Hapke           0.964623
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    Atmosphere
    {
        Model          "Earth"
        Height          72.9036
        Density         0.00353768
        Pressure        0.00225202
        Greenhouse      0.346727
        Bright          5.12559
        Opacity         1
        SkyLight        1.70853
        Hue             0
        Saturation      1

        Composition
        {
            CO2   	99.4361
            SO2   	0.559589
            C3H8  	0.00418243
            Ar    	5.5695e-005
            Kr    	1.75052e-005
        }
    }

    NoRings         true

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   0.055922
        Period          0.02512
        Eccentricity    0.01109
        Inclination     -1.35828
        AscendingNode   -15.9388
        ArgOfPericenter 44.8126
        MeanAnomaly     308.019
    }
}

Planet	"Teletubby World"
{
    ParentBody     "Tubby Sun"
    Class	       "Terra"

    Mass            0.474089
    Radius          6000
    InertiaMoment   0.330004

    Oblateness      0.00582572

    RotationPeriod  24
    Obliquity       23
    EqAscendNode    123.098

    AlbedoBond      0.325591
    AlbedoGeom      0.390709
    Brightness      2
    Color          (0.461 0.403 0.295)

    Life
    {
        Class   "Organic"
        Type    "Multicellular"
        Biome   "Terrestrial"
    }

    Surface
    {
        SurfStyle       0.761735
        OceanStyle      0.0984963
        Randomize      (-1.429, 1.746, -0.032)
        colorDistMagn   0.0502882
        colorDistFreq   752.614
        detailScale     15432.3
        colorConversion true
        drivenDarkening -1
        seaLevel        0.5
        snowLevel       0.750776
        tropicLatitude  0.367397
        icecapLatitude  0.825397
        icecapHeight    0.509263
        climatePole     0.9375
        climateTropic   0.3125
        climateEquator  0.6875
        heightTempGrad  0.625
        tropicWidth     0.07
        mainFreq        1.03175
        venusFreq       0.750776
        venusMagn       0
        mareFreq        3.238
        mareDensity     0.0172548
        terraceProb     0.234201
        erosion         0.100535
        montesMagn      0.173607
        montesFreq      264.077
        montesSpiky     0.879856
        montesFraction  0.949143
        dunesMagn       0.0499143
        dunesFreq       45.7751
        dunesFraction   0.0462451
        hillsMagn       0.124416
        hillsFreq       631.071
        hillsFraction   0.36847
        hills2Fraction  0.957541
        riversMagn      56.7977
        riversFreq      2.72401
        riversSin       6.0394
        riversOctaves   2
        canyonsMagn     0.0531079
        canyonsFreq     100
        canyonFraction  0.957541
        cracksMagn      0.109225
        cracksFreq      0.46313
        cracksOctaves   0
        craterMagn      0
        craterFreq      0
        craterDensity   0
        craterOctaves   0
        craterRayedFactor 0
        volcanoMagn     0.150794
        volcanoFreq     0.619403
        volcanoDensity  0.240321
        volcanoOctaves  1
        volcanoActivity 0.0910838
        volcanoFlows    0.388889
        volcanoRadius   0.462299
        volcanoTemp     1462.29
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        stripeZones     2.6371
        stripeFluct     0
        stripeTwist     0
        cycloneMagn     3.22654
        cycloneFreq     1.05832
        cycloneDensity  0.501989
        cycloneOctaves  2
        colorSea       (0.040, 0.100, 0.200, 1.000)
        colorShelf     (0.150, 0.480, 0.460, 1.000)
        colorBeach     (0.780, 0.750, 0.740, 0.000)
        colorDesert    (0.470, 0.420, 0.390, 0.000)
        colorLowland   (0.270, 0.250, 0.230, 0.000)
        colorUpland    (0.490, 0.480, 0.460, 0.000)
        colorRock      (0.260, 0.240, 0.230, 0.000)
        colorSnow      (1.000, 1.000, 1.000, 1.308)
        colorLowPlants (0.100, 0.160, 0.070, 0.000)
        colorUpPlants  (0.090, 0.110, 0.040, 0.000)
        BumpHeight      20
        BumpOffset      10
        DiffMapAlpha   "Water"
        SpecBrightWater 0.65
        SpecBrightIce   0.85
        SpecularPower   55
        Hapke           0
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      0.07
    }

    Clouds
    {
        Height          5.11133
        Velocity        109.421
        BumpHeight      5.1115
        Hapke           0.2
        SpotBright      2
        SpotWidth       0.15
        DayAmbient      2
        mainFreq        0.974449
        mainOctaves     10
        Coverage        0.209319
        stripeZones     2.6371
        stripeFluct     0
        stripeTwist     0
    }

    Clouds
    {
        Height          10.2231
        Velocity        153.247
        BumpHeight      5.1115
        Hapke           0.2
        SpotBright      2
        SpotWidth       0.15
        DayAmbient      2
        mainFreq        0.974449
        mainOctaves     10
        Coverage        0.209319
        stripeZones     2.6371
        stripeFluct     0
        stripeTwist     0
    }

    Ocean
    {
        Height          10
        Hapke           0
        SpotBright      2
        SpotWidth       0.15
        DayAmbient      2
    }

    Atmosphere
    {
        Model          "Earth"
        Height          60
        Density         1.2929
        Pressure        1
        Greenhouse      33
        Bright          10
        Opacity         1
        SkyLight        3
        Hue             0
        Saturation      1

        Composition
        {
            N2    	77.7729
            O2    	20.8625
            Ar    	0.9303
            H2O   	0.4
            CO2   	0.0398
        }
    }

    Aurora
    {
        Height      101.442
        NorthLat    68.6585
        NorthLon    -144.395
        NorthRadius 1826.94
        NorthWidth  566.858
        NorthRings  4
        NorthBright 0.3
        NorthParticles 0
        SouthLat    -50.0795
        SouthLon    54.7313
        SouthRadius 1726.82
        SouthWidth  452.172
        SouthRings  3
        SouthBright 0.3
        SouthParticles 0
        TopColor    (1.000 1.000 1.000)
        BottomColor (0.000 1.000 0.000)
    }

    NoRings         true

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   0.098
        Period          0.058
        Eccentricity    0.002
        Inclination     2.063
        AscendingNode   -136.223
        ArgOfPericenter 114.946
        MeanAnomaly     318.552
    }
}

Moon "Baby Face"
{
    ParentBody  "Teletubby World"
    Class       "Selena"
    
    Mass            0.0032341
    Radius          1000
    InertiaMoment   0.394249

    Oblateness      0.00144947

    Obliquity       90
    EqAscendNode    90
    RotationPeriod  1e12
    Precession      -0.00509438
    TidalLocked     false

    AlbedoBond      0.3
    AlbedoGeom      0.36
    Brightness      3.5
    Color          (0.997 0.892 0.247)

    Surface
    {
        DiffMap         "TtMoon-Surface.*"
        DiffMapAlpha    "None"
    }
    
    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   0.000333333
        Period          0.00509438
        Eccentricity    0
        Inclination     0
        AscendingNode   0
        ArgOfPericenter 0
        MeanAnomaly     0
    }
}

Planet	"Tubby Custard"
{
    ParentBody     "Tubby Sun"
    Class	       "GasGiant"

    Mass            1495.54
    Radius          76723.2
    InertiaMoment   0.227394

    Obliquity       0.44656
    EqAscendNode    161.36
    TidalLocked     true

    AlbedoBond      0.503614
    AlbedoGeom      0.604336
    Brightness      2
    Color          (0.367 0.215 0.094)

    Surface
    {
        SurfStyle       0.690047
        Randomize      (-0.893, -0.817, 0.185)
        detailScale     197336
        colorConversion true
        tropicLatitude  0.00251358
        icecapLatitude  0.902514
        craterOctaves   0
        volcanoActivity 0
        lavaCoverTidal  0
        lavaCoverSun    0
        lavaCoverYoung  0
        stripeZones     5.38031
        stripeFluct     0.352699
        stripeTwist     8.57304
        cycloneMagn     10.3331
        cycloneFreq     0.958162
        cycloneDensity  0.546405
        cycloneOctaves  5
        colorLayer0    (0.840, 0.730, 0.570, 1.100)
        colorLayer1    (0.850, 0.750, 0.600, 0.600)
        colorLayer2    (0.340, 0.290, 0.200, 0.100)
        colorLayer3    (0.460, 0.380, 0.270, 0.000)
        colorLayer4    (0.560, 0.470, 0.320, 0.000)
        colorLayer5    (0.580, 0.500, 0.360, 0.000)
        colorLayer6    (0.730, 0.630, 0.480, 0.000)
        colorLayer7    (0.690, 0.660, 0.620, 1.000)
        colorLowPlants (0.560, 0.470, 0.320, 0.000)
        colorUpPlants  (0.580, 0.500, 0.360, 0.000)
        BumpHeight      6.22105
        SpecularPower   55
        Hapke           0
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      1
        ModulateColor  (0.000 0.000 0.000 0.000)
    }

    Clouds
    {
        Height          24.9766
        Velocity        660.674
        BumpHeight      18.7558
        Hapke           0
        SpotBright      2
        SpotWidth       0.15
        DayAmbient      1
        mainFreq        0.926272
        mainOctaves     12
        Coverage        0.536136
        stripeZones     5.38031
        stripeFluct     0.352699
        stripeTwist     8.57304
    }

    Atmosphere
    {
        Model          "Jupiter"
        Height          100
        Density         5524
        Pressure        1e+006
        Bright          10
        Opacity         1
        SkyLight        3.33333
        Hue             0
        Saturation      1

        Composition
        {
            H2    	90.4311
            He    	9.13175
            CH4   	0.374851
            N2    	0.0425001
            O2    	0.00983404
            C2H2  	0.00393051
            C2H4  	0.00142483
            NH3   	0.00137674
            Ne    	0.00125567
            Ar    	0.000921388
            C2H6  	0.000702702
            C3H8  	0.000357265
        }
    }

    Rings
    {
        InnerRadius     84652.3
        OuterRadius     228914
        RotationPeriod  4.44768
        RotationOffset  0
        FrontBright     0.533961
        BackBright      0.635469
        Density         0.550573
        Brightness      1
    }

    Orbit
    {
        RefPlane        "Equator"
        SemiMajorAxis   0.214585
        Period          0.187311
        Eccentricity    0.0117737
        Inclination     0.44656
        AscendingNode   161.36
        ArgOfPericenter 341.536
        MeanAnomaly     151.776
    }
}

//------------------------------------------------------------------------------
